---
page_source: https://docs.juspay.io/paytm-gateway-configuration/docs/express-checkout/tokenize
page_title: Tokenize
---

## API Version: default


# Tokenize



Authentication is NOT required for this API call.

The tokenization API takes in the details of a card and generates a token representing the details of the card. This API is expected to be called from the browser or directly from Android/iOS app. Once a card is tokenized, you can initiate a payment or add the card to any customer’s account using /card/add.

A tokenized card is remembered only for 15 minutes. You have to make use of the card before its validity expires. If expired, you have to get the card input by the user again. ## Endpoints:
- Production: https://api.juspay.in/card/tokenize

## Request Type: 
POST

## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl https://api.juspay.in/card/tokenize \
    -d "card_number=4111111111111111" \
    -d "card_exp_year=2025" \
    -d "card_exp_month=07" \
    -d "card_security_code=123" \
    -d "merchant_id=myshop" \
    -d "name_on_card=123"
```

### Sample Response:

#### Response:
```json
{
  "token": "ctkn_qvfiry6hreobblus"
}
```

## Body Parameters:
### Parameters:

#### merchant_id:
- Description: Merchant ID which represents the merchant storing the card
- Tags: string, Required

#### card_number:
- Description: A valid card number
- Tags: string, Required

#### card_exp_year:
- Description: Expiry year of the card (Format: yyyy) Example: 2020
- Tags: string, Required

#### card_exp_month:
- Description: Expiry month of the card (Format: mm) Example: 06
- Tags: string, Required

#### card_security_code:
- Description: The CVV number of the card.
- Tags: string, Required

#### name_on_card:
- Description: Cardholder name
- Tags: string

#### stored_card_token:
- Description: The card_token received in the response of list stored cards. Required for tokenising the saved card.
- Tags: string
## API Responses:
### 200:

#### token:
- Description: ctkn_qvfiry6hreobblus
- Tags: string
### 400:

#### object:
- Description: {}
- Tags: object
